
package de.ivu.elect.presentation.kandidatur.table;

import java.io.Serializable;

import de.ivu.elect.jee.faces.Messages;

public abstract class AbstractKandidaturGewaehltSitzberechnungsalgorithmusColumnBuilder implements Serializable {

  private static final long serialVersionUID = 1L;

  private final Messages messages;

  public AbstractKandidaturGewaehltSitzberechnungsalgorithmusColumnBuilder(Messages messages) {
    super();

    this.messages = messages;

    initColumns();
  }

  protected abstract void initColumns();

  protected Messages getMessages() {
    return messages;
  }
}
